Bug 429522 - Meaning of --occurrence wrong in man page
Meaning of --occurrence wrong in man page
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: tar (Show other bugs)
5.0
All Linux
low Severity low
: rc
: ---
Assigned To: Ondrej Vasik
:
Depends On: 416661
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-21 06:26 EST by Radek Vokal
Modified: 2010-03-30 04:19 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 04:19:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radek Brich 2008-01-21 06:26:00 EST
+++ This bug was initially created as a clone of Bug #416661 +++

Description of problem:
The man page shipped with RH/Fedora tar (which doesn't exist upstream) gives the
wrong semantics for --occurrence.  It claims --occurrence N will process the
first N occurrences, whereas it should be --occurrences=N and it only processes
the Nth, not 1-N.

Version-Release number of selected component (if applicable):
tar-1.17-4.fc8 and older versions

How reproducible:
Always

Steps to Reproduce:
Compare what "man tar" says about --occurrence with "info tar" or try this:

mkdir tmp || exit 
cd tmp
touch bug

tar cvf bugs.tar bug bug bug
tar --delete -f bugs.tar --occurrence 2 bug
tar tvf bugs.tar

tar cvf bugs.tar bug bug bug
tar --delete -f bugs.tar --occurrence=2 bug
tar tvf bugs.tar

none of the --delete commands do what you would expect from the man page.

Patch attached.

-- Additional comment from fedoration@kayari.org on 2007-12-08 13:04 EST --
Created an attachment (id=282061)
patch for tar.1 man page
Comment 3 RHEL Product and Program Management 2008-07-21 19:07:20 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 4 RHEL Product and Program Management 2009-03-26 12:49:28 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 9 Ondrej Vasik 2009-12-09 09:13:58 EST
Haven't seen that tar.1 is added in sources file, so the updated version was not commited by cvs commit ... bad luck - now it should be fixed, changing to MODIFIED again.
Comment 15 errata-xmlrpc 2010-03-30 04:19:22 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0224.html

Note You need to log in before you can comment on or make changes to this bug.